<div *ngIf="isLoaded | async">
    <div class="info">
        <h2>Avaliação Nutricional</h2>

        <p class="schedule">
            <mat-icon>today</mat-icon>

            <b>Agendado para:</b>&nbsp;{{
                evaluation.schedule | formatDate: 'd/m/y h:m'
            }}
        </p>

        <p class="other-info">
            <mat-icon>subject</mat-icon>

            <b>Sugestões/Notas:</b>&nbsp;{{ evaluation.suggestions }}
        </p>

        <h3>Plano Nutricional</h3>
        <div class="plan">
            <div>
                <h5>Total de Calorias</h5>
                <h3>{{ evaluation.nutrition_plan.total_calories }}</h3>
                <p>Kcal</p>
            </div>
            <div>
                <h5>Total de Carbo-hidratos</h5>
                <h3>{{ evaluation.nutrition_plan.total_carbohydrates }}</h3>
                <p>Kcal</p>
            </div>
            <div>
                <h5>Total de Gorduras</h5>
                <h3>{{ evaluation.nutrition_plan.total_fats }}</h3>
                <p>Kcal</p>
            </div>
            <div>
                <h5>Total de Proteína</h5>
                <h3>{{ evaluation.nutrition_plan.total_protein }}</h3>
                <p>Kcal</p>
            </div>
        </div>
    </div>

    <div class="meals-container">
        <div class="title-section">
            <h3>Refeições Registadas</h3>

            <button
                mat-raised-button
                color="primary"
                class="add-button"
                (click)="openCreateDialog()"
            >
                <mat-icon>add_circle</mat-icon>
                Adicionar
            </button>
        </div>

        <div class="row-legend">
            <span class="meal">Descrição</span>
            <span class="calories">Calorias <small>(kcal)</small></span>
            <span class="carbohydrates">Hidratos <small>(kcal)</small></span>
            <span class="fats">Gorduras <small>(kcal)</small></span>
            <span class="protein">Proteína <small>(kcal)</small></span>
            <div class="actions"></div>
        </div>

        <div class="meals">
            <app-meal-row
                [meal]="meal"
                *ngFor="let meal of evaluation.nutrition_plan.meals"
            ></app-meal-row>
        </div>
    </div>
</div>
